Skip to Content
veriom

List audit profiles

GET
/v1/workspaces/{workspace_id}/repositories/{repository_id}/audit-profiles

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
repository_id*Repository Id
Formatuuid

Query Parameters

cursor?string|null
limit?Limit
Range1 <= value <= 100
Default100

Response Body

Successful Response

application/json
  1. response
has_more?Has More
Defaultfalse
items*array<>
next_cursor?string|null
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/audit-profiles'
Example Response
{  "has_more": false,  "items": [    {      "branch_ref": "string",      "created_at": "2019-08-24T14:15:22Z",      "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "purpose": "",      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",      "source_scope": {        "exclude_paths": [          "string"        ],        "include_paths": [          "string"        ]      },      "updated_at": "2019-08-24T14:15:22Z",      "version": 0,      "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"    }  ],  "next_cursor": "string"}